package org.jeecg.modules.dynamicStaticAnalysis.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * <p>
 * 动静态分析-分析批次-单元设备
 * </p>
 *
 * @author hkl
 * @since 2023-08-03
 */
@Data
@ApiModel(value = "AnalysisBatchUnitDeviceDTO对象", description = "动静态分析-分析批次-单元设备")
public class AnalysisBatchUnitDeviceDTO {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("分析批id")
    private String analysisBatchId;

    @ApiModelProperty("设备单元类型1-钢轨 2-曲线 3-竖曲线 4-道岔")
    private Integer unitType;

    @ApiModelProperty("设备单元起始里程")
    private BigDecimal unitStartingMileage;

    @ApiModelProperty("设备单元结束里程")
    private BigDecimal unitEndMileage;

    @ApiModelProperty("是否存在人工检查数据 0-不存在 1-存在")
    private Integer labourCheck;

    @ApiModelProperty("得分平级")
    private String gradeJudge;

}
