package org.jeecg.modules.dynamicStaticAnalysis.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * <p>
 * 动静态分析-分析批次-单元设备
 * </p>
 *
 * @author hkl
 * @since 2023-08-03
 */
@Data
@ApiModel(value = "AnalysisBatchUnitDeviceVO对象", description = "动静态分析-分析批次-单元设备")
public class AnalysisBatchUnitDeviceVO {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("分析批次号")
    private String analysisBatchCode;

    @ApiModelProperty("分析批id")
    private String analysisBatchId;

    @ApiModelProperty("单元设备id")
    private String unitId;

    @ApiModelProperty("单元设备code")
    private String unitCode;

    @ApiModelProperty("设备单元类型1-钢轨 2-曲线 3-竖曲线 4-道岔")
    private Integer unitType;

    @ApiModelProperty("设备单元类型名称")
    private String unitTypeName;

    @ApiModelProperty("设备单元起始里程")
    private BigDecimal unitStartingMileage;

    @ApiModelProperty("设备单元中心里程")
    private BigDecimal unitCenterMileage;

    @ApiModelProperty("设备单元结束里程")
    private BigDecimal unitEndMileage;

    @ApiModelProperty("是否存在人工检查数据 0-不存在 1-存在")
    private Integer labourCheck;

    @ApiModelProperty("人工检查数据得分")
    private BigDecimal labourCheckGrade;

    @ApiModelProperty("是否存在轨检仪检查数据 0-不存在 1-存在")
    private Integer railDeviceCheck;

    @ApiModelProperty("轨检仪检查数据得分")
    private BigDecimal railDeviceCheckGrade;

    @ApiModelProperty("是否存在轨检车查数据 0-不存在 1-存在")
    private Integer railVehicleCheck;

    @ApiModelProperty("轨检车查数据得分")
    private BigDecimal railVehicleCheckGrade;

    @ApiModelProperty("是否存在添乘仪查数据 0-不存在 1-存在")
    private Integer addDeviceCheck;

    @ApiModelProperty("添乘仪查数据得分")
    private BigDecimal addDeviceCheckGrade;

    @ApiModelProperty("最后得分")
    private BigDecimal finalGrade;

    @ApiModelProperty("得分平级")
    private String gradeJudge;

    @ApiModelProperty("备注")
    private String remark;


}
